// Common values
$legacy_browser_support: false !default;

// Text
$font_family: "cantarell", sans-serif !default;
$bold_font_family: "cantarell_bold", sans-serif !default;
$font_size: 15px;
$font_weight: 400;

// $large_title_font_size:32px;
$large_title_font_size:24pt;
// $title_font_size:22px;
$title_font_size:16pt;
$caption_font_size:9pt;

$ease-out-quad: cubic-bezier(0.25, 0.46, 0.45, 0.94);
$asset_suffix: if($variant=='dark', '-dark', '');
$backdrop_transition: 200ms ease-out;


// HTML
html {
	padding: 0;
	margin: 0;
	z-index: 100000;
	width: 100%;
	height: 100%;
}

// Body
body {
	color:$fg_color;
	font-family:$font_family;
	font-size:$font_size;
	height: 100%;
	max-height: 100%;
	width: 100%;
	max-width: 100%;
	margin: 0 !important;
	padding: 0 !important;
	background: no-repeat center center fixed;
	background-size:cover;
	background-image: none;
	background-color:$bg_color;
	overflow-x: hidden;
	
	scrollbar-width: none;

	// no select
  -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none; /* Non-prefixed version, currently */
}


@media only screen and (max-height: 400px) {
	body {
		overflow: hidden;
	}
}

// styles
%selected {
	background-color:$selected_bg_color;
	color:$selected_fg_color;
	> svg {
		fill:$selected_fg_color;
		> path, > g {fill:$selected_fg_color;}
	}
	&:hover {

		background-color:darken($selected_bg_color,5%);
	}
}

// insensitive
%insensitive,
.insensitive {
	opacity:0.5;
	pointer-events: none;
	filter: grayscale(100%);
}

// noselect
%noselect,
.noselect {
  -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome and Opera */
}